Payment Validation

Webhook that allows the merchant to approve or reject a transaction after payment details are submitted in Cashier or Virtual Terminal before processing.

Note:

You would be sending validation_url as part of Cashier/Virtual Terminal - Initiate payment payload and Payracks would send the latest status to this mentioned url.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≤ 50

Merchant API client account identifier.

string
required
length ≤ 32

Identifier of your application (website).

string
required
length ≤ 3

API version.

integer
required

Request time (unix timestamp, seconds).

customer
object
required

The customer representation object provided during the response.

session
object
required

Session Object provided during the response.

transaction_attempt
object
required

Transaction attempt object

Headers
string
required

Authentication HTTP header of an incoming webhook notification request from Praxis. Verify the signature with the below attributes from the webhook notification request.

  • merchant_id
  • application_key
  • timestamp
  • customer.customer_token
  • session.order_id
  • transaction_attempt.currency
  • transaction_attempt.amount
  • transaction_attempt.conversion_rate
  • transaction_attempt.attempted_currency
  • transaction_attempt.attempted_amount
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json